complexType "CommodityRelativePaymentDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (payRelativeTo? | payRelativeToEvent?), (calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?), paymentDaysOffset?, (businessCentersReference? | businessCenters?)?
</...>

Content Model Elements (8):

  businessCenters, businessCentersReference, calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, paymentDaysOffset, payRelativeTo, payRelativeToEvent

All Direct / Indirect Based Elements (1):

  relativePaymentDates

Known Usage Locations

- As direct type of elements (1):
  relativePaymentDates

Annotation
The Payment Dates of the trade relative to the Calculation Periods.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityRelativePaymentDates"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"/> <xsd:element minOccurs="0" name="payRelativeToEvent" type="CommodityPayRelativeToEvent"/> </xsd:choice> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> <xsd:element minOccurs="0" name="paymentDaysOffset" type="DateOffset"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/8)
paymentDaysOffset

  Type: | DateOffset, complex content

  Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDaysOffset" type="DateOffset"/>

payRelativeTo

  Type: | PayRelativeToEnum, simple content

  Specifies whether the payment(s) occur relative to a date such as the end of each Calculation Period or the last Pricing Date in each Calculation Period.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriodStartDate" | - | Payments will occur relative to the first day of each calculation period. See: http://www.FpML.org
  "CalculationPeriodEndDate" | - | Payments will occur relative to the last day of each calculation period. See: http://www.FpML.org
  "LastPricingDate" | - | Payments will occur relative to the last Pricing Date of each Calculation Period. See: http://www.FpML.org
  "ResetDate" | - | Payments will occur relative to the reset date. See: http://www.FpML.org
  "ValuationDate" | - | Payments will occur relative to the valuation date. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"/>

payRelativeToEvent

  Type: | CommodityPayRelativeToEvent, simple content

  Specifies whether the payment(s) occur relative to the date of a physical event.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payRelativeToEvent" type="CommodityPayRelativeToEvent"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.